# Changelog

All notable changes to this project will be documented in this file.

## [2.0.7] - 2023-05-17
### Changed
- data-spy="scroll" benötigt `data-offset="40"` um im .scrollspy Menü korrekt angezeigt zu werden (Suche nach @since 2.0.7 in *.html)
- Änderungen eingetragen in `_change-2.0.7.js`
- Javascript: Fix sprunghaftes Verhalten auf dem Handy: neue header.js (alte headerCheck() und headerChange() entfernen)
- Javascript: Auf dem Handy öffnet sich der Abschnitt, wenn er in der URL als # angegeben wird
- Änderungen eingetragen in `_change-2.0.7.less`
- Zusätzliches CSS für besseren Kontrast in `_change-2.0.7.less`
- Für Mobile Textschatten im Slider entfernen
- Header-Menü: Aktiver Zustand bold
- Icon-Font erweitert

## [2.0.6] - 2022-12-02
### Changed
- Änderungen eingetragen in `_change-2.0.6.less`
- Icon-Font erweitert
- Geordnete Liste ol
- Header Slider Textschatten Text-on-top
- Dritte Navigationsebene umbricht jetzt
- p tag in Listen nicht mehr bold
- business-card Bilderbreite einheitlich
- Anchor mit Offset und Smooth Scrolling
- Header Slider Schriftgrößen und .small hinzugefügt
- Bugfixing Header Tablet

## [2.0.5] - 2022-01-11
### Changed
- Icon-Font erweitert
- Änderungen eingetragen in `_change-2.0.5.less`

## [2.0.4] - 2021-11-30
### Changed
- Achtung: um Icon einfärben zu können über die Body-Class, muss jetzt `.glyphicon.allow-change-color` gesetzt werden
- Button CSS 
- Icon-Font erweitert 
- CSS alle Änderungen eingetragen in `_change-2.0.4.less`
- alle 3 Pakete auf gleiche Versions-Nummer gesetzt

## [2.0.1] - 2021-10-12
### Changed
- Added a.slider-link to #carousel-header -> link whole slide
- Fixed #carousel-header mobile h1 bug
- Moved Cookie message begin body
- Example added for text hidden on mobile to home_variante.html and __elemente.html
- Example added for how to set icons to inline-block inside text
- Search `@since 2.0.1` for changes


## [2.0.02] - 2021-06-24
### Changed
- changed css for big screen padding col inside listgroup fixed see `_src/less/listgroup.less` line 240/241:
```
label, .control-label {
  ...
  left: @grid-gutter-width-half + 12;
  @media (min-width: @screen-xl-min)  {
    left: @grid-gutter-width-half-xl + 12;
  }
}
```
- changed css for big screen padding form fixed see `_src/less/main-new.less` line 517:
```
@media (min-width: @screen-xl-min) {
  padding-left: @grid-gutter-width-half-xl;
  padding-right: @grid-gutter-width-half-xl;
}
```

## [2.0.01] - 2021-05-18
### Changed

- Changed data-interval on carousel from false to 8000 ms
- On tablet|mobile: `#carousel-header.text-on-top p`  16px not 15px|18px
- On tablet: `padding-top, padding-bottom` in #main-menu only 3px (same as desktop)
- On Mobiel: adjusted CSS `.note.inside` 